/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.activities;

import critiquer.activities.parameters.Parameter;

public abstract class AbstractActivityCreatedListener implements
		ActivityUpdateListener {

	/**
	 * @see critiquer.activities.ActivityUpdateListener#activityUpdated(critiquer.activities.Activity)
	 */
	public void activityUpdated(Activity a) {
		
	}

	/**
	 * @see critiquer.activities.ActivityUpdateListener#paramAdded(critiquer.activities.Activity, critiquer.activities.parameters.ActivityParameter)
	 */
	public <T> void paramAdded(Activity activity, Parameter<T> p) {
		
	}

	/**
	 * @see critiquer.activities.ActivityUpdateListener#paramChanged(critiquer.activities.Activity, critiquer.activities.parameters.ActivityParameter)
	 */
	public <T> void paramChanged(Activity activity, Parameter<T> p) {
		
	}

	/**
	 * @see java.lang.Comparable#compareTo(T)
	 */
	public int compareTo(ActivityUpdateListener o) {
		return 0;
	}


	
}
