/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.activities;

import critiquer.activities.parameters.Parameter;


/**
 * Use this class to listen for parameter value changes
 */

public abstract class AbstractParamChangedListener implements
		ActivityUpdateListener {

	public void activityUpdated(Activity activity) {
		// Ignore
	}

	/**
	 * @see critiquer.activities.ActivityUpdateListener#activityRemoved(critiquer.activities.Activity)
	 */
	public void activityRemoved(Activity activity) {
		// Ignore
	}



	public void activityCreated(Activity activity) {
		// Ignore
	}

	public <T> void paramAdded(Activity activity, Parameter<T> p) {
		// Ignore
	}

	/* (non-Javadoc)
	 * @see critiquer.activities.ActivityUpdateListener#paramChanged(critiquer.activities.Activity, critiquer.activities.parameters.Parameter)
	 */
	public abstract <T> void paramChanged(Activity activity, Parameter<T> p);

	/**
	 * 
	 * Introduce no particular ordering between listeners by default
	 * 
	 * @see java.lang.Comparable#compareTo(T)
	 */
	public int compareTo(ActivityUpdateListener o) {
		return 0;
	}


}
