/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.activities.parameters;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;

public class Commanders implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private HashMap<String,Commander> commanders = new HashMap<String,Commander>();
	private ArrayList<CommanderAddedListener> listeners = new ArrayList<CommanderAddedListener>();
	
	public HashMap<String,Commander> getCommanders(){
		return commanders;
	}
	
	public void addListener(CommanderAddedListener l) {
		listeners.add(l);
	}
	
	public void addCommander(Commander commander) {
		commanders.put(commander.toString(),commander);
		for (CommanderAddedListener l : listeners) {
			l.commanderAdded(commander);
		}
	}
	
	
}
