/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.activities.parameters;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.BorderFactory;
import javax.swing.JEditorPane;

import critiquer.activities.Activity;



public class DescriptionParameter extends AbstractTaskViewParameter<JEditorPane,String> {

	
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= -8241385230556176507L;

	public DescriptionParameter(String name,Activity activity) {
		super(name,activity);
	}

	public DescriptionParameter(Activity activity) {
		super("description",activity);
	}
	
	/**
	 * 
	 * Initialize the graphical component of this parameter.
	 * 
	 * @see critiquer.activities.parameters.ActivityParameter#getComponent()
	 */
	
	public void initComponent() {
		
		component = new JEditorPane();
		component.setBorder(BorderFactory.createTitledBorder(toString()));
		component.setText(getValue());
		component.addKeyListener(new KeyListener(){
			
			public void keyTyped(KeyEvent arg0) {
				setValue(component.getText());
			}
			
			public void keyPressed(KeyEvent arg0) {
				// Do nothing
				
			}
			
			public void keyReleased(KeyEvent arg0) {
				// Do nothing
			}
			
		});
		
	}

	public String toString() {
		return "Description";
	}


}
