/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.activities.parameters;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JComboBox;
import javax.swing.JPanel;

import critiquer.activities.Activity;


public class NumberSelectionParameter extends AbstractTaskViewParameter<JPanel,Integer> {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 1L;
	/**
	 * 
	 */
	private transient JComboBox numberChooser;
	private Vector<Integer> range;

	public void initComponent() {
		component = new JPanel(new GridLayout(1,0));
		numberChooser = new JComboBox(range);
		numberChooser.setSelectedItem(getValue());
		numberChooser.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent arg0) {
				Integer num = (Integer) numberChooser.getSelectedItem();
				updateBorder();
				setValue(num);
			}

		});
		updateBorder();
		component.add(numberChooser);
	}

	private void updateBorder() {
		component.setBorder(BorderFactory.createTitledBorder(toString()));
	}
	
	public NumberSelectionParameter(Activity a,String name,Vector<Integer> range,Integer defaultValue) {
		super(name, a);
		this.range=range;
		setValue(defaultValue,true);
	}
	
}