/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.communication;

import java.rmi.RemoteException;

import jxl.peermi.PeerRemote;

/**
 * 
 * This is the interface for plans that are to be published for others to listen
 * to. We only notify remote listeners on a time-regulated basis, not per-event.
 * This due to the fact that the number of RMI method invocations would
 * otherwise be excessively large when moving activities in the timelines for example.
 * 
 * @author olale
 * 
 */
public interface RemotePlan extends PeerRemote {

	public void registerListener(RemotePlanListener l) throws RemoteException;
	public String getName() throws RemoteException;

}
