/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.communication;

import java.rmi.RemoteException;

import critiquer.activities.Activity;

import jxl.peermi.PeerRemote;

/**
 * 
 * This is the callback interface for remote plan update listeners.
 * 
 * Since using RMI for all activity updates is very inefficient, we only get
 * notifications that activities have changed in some way with some
 * predetermined frequency and only get a single notification per activity
 * through the <code>activityUpdated</code> method.
 * 
 * @author olale
 * 
 */
public interface RemotePlanListener extends PeerRemote {

	public void activityUpdated(RemoteActivity activity) throws RemoteException;

}
