/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.constraints;

/**
 * 
 * The CritiquePanel may use the information provided through this interface to
 * listen for status events that the Constraints may send.
 * 
 * The idea is to subscribe to status events by adding oneself to
 * StandardConstraint.statusListeners and react to events that happen to any of
 * the constraints in the system. For instance, if a critic that uses the text
 * area is set active by a user, no other critic that uses the text area may be
 * activated at the same time. The same goes for critics that use the graphical
 * component.
 * 
 * @author olale
 * 
 */

public interface ConstraintStatusListener {

	public void activeStatusChanged(StandardConstraint c);

	public void violationStatusChanged(StandardConstraint c);

}
