/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.constraints;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.util.List;

import org.apache.log4j.Logger;

import critiquer.activities.Activity;
import critiquer.activities.parameters.Parameter;
import critiquer.gui.TimeView;
import critiquer.gui.View;



/**
 * @author olale
 *
 */
public class TestActivityArea extends StandardConstraint {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	public TestActivityArea() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see critiquer.activities.AbstractParamChangedListener#paramChanged(critiquer.activities.Activity, critiquer.activities.parameters.Parameter)
	 */
	@Override
	public <T> void paramChanged(Activity activity, Parameter<T> p) {
		// TODO Auto-generated method stub

	}

	/* (non-Javadoc)
	 * @see critiquer.constraints.SingletonConstraint#getDescription()
	 */
	public String getDescription() {
		// TODO Auto-generated method stub
		return null;
	}

	
	
	/* (non-Javadoc)
	 * @see critiquer.constraints.StandardConstraint#initApplicableViews()
	 */
	@Override
	protected void initApplicableViews() {
		applicableViews.add(TimeView.class);
	}

	/* (non-Javadoc)
	 * @see critiquer.gui.ViewRenderingListener#viewUpdated(critiquer.gui.View, java.awt.Graphics2D)
	 */
	public void viewUpdated(View v, Graphics2D g2) {
		List<Activity> activities = v.getEvaluationActivities();
		for (Activity activity : activities) {
			Color oldColor = g2.getColor();
			g2.setColor(Color.GRAY);
			g2.draw(((TimeView)v).getTimeChartArea());
			Shape activityArea = v.getActivityArea(activity);
			if (activityArea!=null) {
				g2.draw(activityArea);
			} else {
				Logger.getLogger(getClass()).error("No activity area for "+activity);
			}
			g2.setColor(oldColor);
			
		}
	}

}
