/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.event.MouseListener;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JLabel;

import critiquer.activities.parameters.AgentParameter;
import critiquer.resources.Agent;



public class AgentLabel extends JLabel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 
	 */
	private Agent agent;
	private AgentParameter agentParam;
	
	public AgentLabel(Agent agent, AgentParameter param) {
		super();
		
		BufferedImage bImage = new BufferedImage(200,100,BufferedImage.TYPE_INT_ARGB);
		Graphics2D g2d = bImage.createGraphics();
		Font oldFont = g2d.getFont();
		g2d.setFont(agent.getSymbolFont());
		g2d.setPaint(Color.black);
		g2d.drawString(""+agent.getSymbol(), 40, 40);
		Rectangle2D bounds = g2d.getFont().getStringBounds(""+agent.getSymbol(), g2d.getFontRenderContext());
		g2d.setFont(oldFont);
		g2d.drawString(agent.toString(), (int) (40+bounds.getMaxX()), 40);
		setIcon(new ImageIcon(bImage));
		//setText(agent.toString());
		setBorder(BorderFactory.createLineBorder(Color.BLACK));
		this.agent=agent;
		this.agentParam=param;
		setTransferHandler(AgentTransferHandler.getAgentTransferHandler());
		MouseListener listener = new DragMouseAdapter();
		addMouseListener(listener);
	}
	

	public Agent getAgent() {
		return agent;
	}

	/**
	 * @return Returns the agentParam.
	 */
	public AgentParameter getAgentParam() {
		return agentParam;
	}
	
	
}