/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui;

import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.UnsupportedFlavorException;
import java.io.IOException;

import javax.swing.ImageIcon;

import org.apache.log4j.Logger;

import critiquer.activities.parameters.AgentParameter;
import critiquer.resources.Agent;



public class AgentSelection implements Transferable {

	public static DataFlavor agentFlavor;
	public static DataFlavor agentParameterFlavor;
	
	static {
		try {
			agentFlavor=new DataFlavor(DataFlavor.javaJVMLocalObjectMimeType+
					";class=critiquer.resources.Agent");
			agentParameterFlavor=new DataFlavor(DataFlavor.javaJVMLocalObjectMimeType+
			";class=critiquer.activities.parameters.AgentParameter");
		} catch (ClassNotFoundException e) {
			Logger.getLogger(AgentSelection.class).fatal(e);
		}
	}

	private Agent agent;
	private AgentParameter param;
	
	public AgentSelection(Agent agent,AgentParameter param) {
		this.agent=agent;
		this.param=param;
	}

		
	public DataFlavor[] getTransferDataFlavors() {
		return new DataFlavor[] {agentFlavor};
	}

	public boolean isDataFlavorSupported(DataFlavor flavor) {
		return flavor.equals(agentFlavor);
	}

	public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException {
		if (flavor.equals(agentFlavor)) {
			return agent;	
		} else if (flavor.equals(agentParameterFlavor)) {
			return param;
		} else {
			throw new UnsupportedFlavorException(flavor);
		}
		
	}


	/**
	 * 
	 * Show the image of the agent when dragging
	 * 
	 * @see critiquer.resources.Agent#getPicture()
	 */
	public ImageIcon getPicture() {
		return agent.getPicture();
	}


}
