/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui;

import java.awt.Component;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JCheckBox;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.ListModel;
import javax.swing.ListSelectionModel;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;

public class CheckBoxList extends JList {
   /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
protected static Border noFocusBorder =
                                 new EmptyBorder(1, 1, 1, 1);

   
   /**
    * @param dataModel
    */
   public CheckBoxList(ListModel dataModel) {
	   super(dataModel);
	   init();
   }

   public CheckBoxList() {
	   init();
   }

private void init() {
	setCellRenderer(new CellRenderer());
	   
	   addMouseListener(new MouseAdapter()
	                    {
		   public void mousePressed(MouseEvent e)
		   {
			   int index = locationToIndex(e.getPoint());
			   
			   if (index != -1) {
				   JCheckBox checkbox = (JCheckBox)
				   getModel().getElementAt(index);
				   checkbox.setSelected(
				                        !checkbox.isSelected());
				   repaint();
			   }
		   }
	                    }
	   );
	   
      setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
}

   protected class CellRenderer implements ListCellRenderer
   {
      public Component getListCellRendererComponent(
                    JList list, Object value, int index,
                    boolean isSelected, boolean cellHasFocus)
      {
         return (JCheckBox) value;
      }
   }
}

