/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTree;
import javax.swing.event.TreeSelectionListener;

import critiquer.misc.ReferenceHolder;
import critiquer.resources.Agent;
import critiquer.resources.OrganizationModel;


public class OrganizationTreePanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private OrganizationModel	treeModel;
	private transient JTree	tree;
	private transient JScrollPane	scrollPane;

	public OrganizationTreePanel() {
		treeModel = ReferenceHolder.organizationModel;
		initComponent();
		
	}

	private void initComponent() {
		tree = new JTree(treeModel);
		scrollPane = new JScrollPane(tree);
		add(scrollPane);
	}

	/* (non-Javadoc)
	 * @see critiquer.gui.OrganizationTreeModel#getRoot()
	 */
	public Agent getRoot() {
		return (Agent)treeModel.getRoot();
	}

	/* (non-Javadoc)
	 * @see javax.swing.JTree#addTreeSelectionListener(javax.swing.event.TreeSelectionListener)
	 */
	public void addTreeSelectionListener(TreeSelectionListener tsl) {
		tree.addTreeSelectionListener(tsl);
	}

	public Agent getSelectedAgent() {
		if (tree.getSelectionPath()!=null) {
			return (Agent)tree.getSelectionPath().getLastPathComponent();
		} else {
			return null;
		}
	}

	/**
	 * @return Returns the tree.
	 */
	public JTree getTree() {
		if (tree==null) {
			initComponent();
		}
		return tree;
	}
	
}
