/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.event.TreeSelectionEvent;
import javax.swing.event.TreeSelectionListener;

public class OrganizationView extends JPanel implements TreeSelectionListener {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private transient OrganizationTreePanel treePanel;
	private JPanel	agentPanel;

	public OrganizationView() {
		super(new BorderLayout());
		treePanel = new OrganizationTreePanel();
		treePanel.addTreeSelectionListener(this);
		agentPanel = new JPanel();
		add(treePanel,BorderLayout.WEST);
		add(agentPanel,BorderLayout.CENTER);
		
	}
	
	public void valueChanged(TreeSelectionEvent e) {
		if (treePanel.getSelectedAgent()!=null) {
			agentPanel.removeAll();
			agentPanel.add(treePanel.getSelectedAgent().getPanel());
			revalidate();
			repaint();
		}
	}

}
