/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Image;
import java.awt.Toolkit;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.JWindow;

import critiquer.misc.ReferenceHolder;


/**
 * A splash screen that displays a progress bar
 * 
 * @author olale
 *
 */
public class StartupProgressWindow extends JWindow {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private JProgressBar progressBar;

	private JLabel textLabel =new JLabel();

	private JPanel southPanel;
	
	/**
	 * 
	 */
	public StartupProgressWindow(int numStartupItems) {
		super();
		progressBar = new JProgressBar(0,numStartupItems);
		ImageIcon imageIcon = null;
		imageIcon = new ImageIcon((ReferenceHolder.resourceDir + System.getProperty("file.separator") + "splashscreen.jpg"));
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(new JLabel(imageIcon),BorderLayout.CENTER);
		southPanel = new JPanel(new BorderLayout());
		southPanel.add(progressBar,BorderLayout.CENTER);
		southPanel.add(textLabel,BorderLayout.SOUTH);
		getContentPane().add(southPanel,BorderLayout.SOUTH);
		Dimension dim =
			Toolkit.getDefaultToolkit().getScreenSize();
		int x = (int)(dim.getWidth() - getWidth())/4;
		int y = (int)(dim.getHeight() - getHeight())/4;
		setLocation(x,y);
		imageIcon.setImage(imageIcon.getImage().getScaledInstance(
				(int)dim.getWidth()/2, 
				(int)dim.getHeight()/2, Image.SCALE_DEFAULT));
		
		pack();
		
	}

	public void newAction(String description) {
		textLabel.setText(description);
	}
	
	public void actionDone() {
		progressBar.setValue(progressBar.getValue()+1);
	}
	
}
