/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui.graph;

import java.io.Serializable;

import org.tigris.gef.graph.GraphModel;
import org.tigris.gef.graph.presentation.NetPort;

public abstract class AbstractActivityPort extends NetPort implements
		Serializable {
	private ActivityNode activityNode;
	
	public AbstractActivityPort(ActivityNode activityNode) {
		super(activityNode);
		this.activityNode=activityNode;
	}

	/**
	 * @return Returns the activityNode.
	 */
	public ActivityNode getActivityNode() {
		return activityNode;
	}

	/* (non-Javadoc)
	 * @see org.tigris.gef.graph.presentation.NetPort#canConnectTo(org.tigris.gef.graph.GraphModel, java.lang.Object)
	 */
	@Override
	public boolean canConnectTo(GraphModel gm, Object anotherPort) {
		boolean canConnect = super.canConnectTo(gm, anotherPort);
		canConnect &= (anotherPort instanceof AbstractActivityPort);
		return canConnect;
	}

    protected abstract Class defaultEdgeClass(NetPort otherPort);
	
}
