/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui.graph;

import java.awt.Graphics;
import java.util.ArrayList;

import javax.swing.JComponent;

import org.tigris.gef.base.Diagram;
import org.tigris.gef.base.Editor;
import org.tigris.gef.base.Layer;
import org.tigris.gef.graph.GraphModel;

/**
 * @author olale
 *
 */
public class ActivityEditor extends Editor {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private ArrayList<GraphRenderingListener> renderingListeners = new ArrayList<GraphRenderingListener>();
	
	
	/**
	 * @param gm
	 * @param jComponent
	 */
	public ActivityEditor(GraphModel gm, JComponent jComponent) {
		super(gm, jComponent);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param gm
	 */
	public ActivityEditor(GraphModel gm) {
		super(gm);
		// TODO Auto-generated constructor stub
	}

	/**
	 * 
	 */
	public ActivityEditor() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param d
	 */
	public ActivityEditor(Diagram d) {
		super(d);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param gm
	 * @param jComponent
	 * @param lay
	 */
	public ActivityEditor(GraphModel gm, JComponent jComponent, Layer lay) {
		super(gm, jComponent, lay);
		// TODO Auto-generated constructor stub
	}

	/**
	 * 
	 * Render the graph and notify rendering listeners
	 * 
	 * @see org.tigris.gef.base.Editor#paint(java.awt.Graphics)
	 */
	@Override
	public synchronized void paint(Graphics g) {
		super.paint(g);
		for (GraphRenderingListener listener : renderingListeners) {
			listener.graphRendered();
		}
	}

	public void addRenderingListener(GraphRenderingListener l) {
		renderingListeners.add(l);
	}
	
	
}
