/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui.graph;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.TexturePaint;
import java.awt.image.BufferedImage;

import javax.swing.ImageIcon;

import org.tigris.gef.presentation.FigCircle;

import critiquer.misc.ReferenceHolder;
import critiquer.misc.Utils;

/**
 * @author olale
 *
 */
public class GraphFigCircle extends FigCircle {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * @param x
	 * @param y
	 * @param w
	 * @param h
	 */
	public GraphFigCircle(int x, int y, int w, int h) {
		super(x, y, w, h);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param x
	 * @param y
	 * @param w
	 * @param h
	 * @param resizable
	 */
	public GraphFigCircle(int x, int y, int w, int h, boolean resizable) {
		super(x, y, w, h, resizable);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param x
	 * @param y
	 * @param w
	 * @param h
	 * @param lColor
	 * @param fColor
	 */
	public GraphFigCircle(int x, int y, int w, int h, Color lColor, Color fColor) {
		super(x, y, w, h, lColor, fColor);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param x
	 * @param y
	 * @param w
	 * @param h
	 * @param resizable
	 * @param lColor
	 * @param fColor
	 */
	public GraphFigCircle(int x, int y, int w, int h, boolean resizable, Color lColor, Color fColor) {
		super(x, y, w, h, resizable, lColor, fColor);
		// TODO Auto-generated constructor stub
	}

	/**
	 * 
	 * Paint an oval
	 */
	@Override
	public void paint(Object g) {
		if (ReferenceHolder.monochromeDisplay && (g instanceof Graphics2D)) {
			Graphics2D g2d = (Graphics2D) g;
			ImageIcon imageIcon = new ImageIcon((ReferenceHolder.resourceDir + System.getProperty("file.separator") + "diagonal.jpg"));
			g2d.setPaint(new TexturePaint(Utils.toBufferedImage(imageIcon.getImage()),new Rectangle(5,5)));
			g2d.fillOval(_x, _y, getWidth(), getHeight());
		} else {
			super.paint(g);
		}
	}

	
	
}
