/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.gui.graph;

import org.tigris.gef.graph.GraphModel;
import org.tigris.gef.graph.presentation.NetPort;

public class PreviousPort extends AbstractActivityPort {

	/**
     * 
     */
	private static final long serialVersionUID = 1L;

	public PreviousPort(ActivityNode activityNode) {
		super(activityNode);
		// TODO Auto-generated constructor stub
	}

	/*
     * (non-Javadoc)
     * 
     * @see org.tigris.gef.graph.presentation.NetPort#canConnectTo(org.tigris.gef.graph.GraphModel,
     *      java.lang.Object)
     */
	@Override
	public boolean canConnectTo(GraphModel gm, Object anotherPort) {
		boolean canConnect = super.canConnectTo(gm, anotherPort);
		/*
         * Additional constraints regarding which tasks may come before other
         * tasks?
         */
		if (anotherPort instanceof NextPort) {
			NextPort nextPort = (NextPort) anotherPort;
			canConnect &= nextPort.getActivityNode().getActivity().canComeBefore(getActivityNode().getActivity());
		} else {
			canConnect = false;
		}
		return canConnect;
	}

	@Override
	protected Class defaultEdgeClass(NetPort otherPort) {
		try {
			return Class.forName("critiquer.gui.graph.OrderingEdge");
		} catch (java.lang.ClassNotFoundException ignore) {
			return null;
		}
	}

}
