/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.scenarios.standard;

/**
 *
 * Names of the parameters that occur in agents. Used to identify parameters
 *   
 * @author olale
 *
 */
public enum AgentParameterName {

	FUEL_CONSUMPTION("fuel consumption"),
	FUEL_CAPACITY("fuel capacity"),
	SPEED("speed (km/h)"),
	TRANSPORT_CAPACITY("Transport capacity"),
	ROADBLOCK_TIME("time to prepare road blocks"),
	FIRST_AID_TIME("time to give first aid"),
	FIRST_AID_CAPACITY("First aid capacity");
	
	private String name; 
	private AgentParameterName(String name) {
		this.name=name;
	}
	
	public String toString() {
		return name;
	}
	
}
