/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.scenarios.standard;

import java.util.HashMap;

import critiquer.activities.Activity;
import critiquer.activities.IncompleteActivityException;




public class DefaultActivity extends Activity {

	/**
	 * 
	 */
	private static final long	serialVersionUID	= 1L;
	private static int numActivities;
	
	
	
	/**
	 * 
	 */
	public DefaultActivity() {
		super("Default activity",null);	
	}


	public DefaultActivity(Activity parent) {
		super("Default activity",parent);
	}
	/**
	 * @param type
	 * @param parent
	 */
	public DefaultActivity(String type, Activity parent) {
		super(type, parent);
	}

	@Override
	public long simulate() throws IncompleteActivityException {
		return 0;
		
	}

	

	@Override
	public int getNumActivities() {
		return DefaultActivity.numActivities++;
	}


	/**
	 * 
	 * There is no point in simulating this activity type
	 * 
	 * @see critiquer.activities.Activity#canBeSimulated()
	 */
	@Override
	public boolean canBeSimulated() {
		return false;
	}




}
