/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.scenarios.standard;

import java.util.HashMap;

import critiquer.resources.Agent;
import critiquer.resources.Suitability;


public class PoliceUnit extends Agent {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;



	public PoliceUnit(String name) {
		super(name);
		init();
	}

	
	/**
	 * @param parent
	 * @param name
	 */
	public PoliceUnit(Agent parent, String name) {
		super(parent, name);
		init();
	}



	private void init() {
		// We need only model which tasks an agent is unfit to perform
		HashMap<Class, Suitability> suitabilityMap = new HashMap<Class, Suitability>();
		suitabilityMap.put(FirstAidActivity.class,Suitability.UNFIT);
		suitabilityMap.put(RecoverActivity.class,Suitability.UNFIT);
		Agent.fitnessMap.put(this.getClass(), suitabilityMap);

		StandardAgentParameterFactory.createFuelParameters(this,90,11);

		StandardAgentParameterFactory.createSpeedParameter(this, 140L);
		
		StandardAgentParameterFactory.createTransportParameter(this,3);
		
		StandardAgentParameterFactory.createRoadBlockTimeParameter(this,15L);		
		setPictureFromName("police.jpg");
		initPanel();
	}


	/* (non-Javadoc)
	 * @see critiquer.resources.Agent#getSymbol()
	 */
	@Override
	public Character getSymbol() {
		// TODO Auto-generated method stub
		return '\uF0D2';
	}





	

	
	
}
