/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.scenarios.standard;

import java.awt.Color;

import critiquer.resources.Agent;
import critiquer.resources.AgentFactory;
import critiquer.resources.DefaultAgent;


public class StandardAgentFactory implements AgentFactory {

	private Agent topLevelAgent;
	
	/**
	 * Return a new organization structure, optionally overwriting a previous one
	 * 
	 * @param forceUpdate true iff you want to override previous structures already created.
	 * 
	 * @return a top level agent
	 */
	public Agent getAgentStructure(boolean forceUpdate) {
		if (forceUpdate) {
			topLevelAgent=null;
		}
		return getAgentStructure();
	}
	/* (non-Javadoc)
	 * @see critiquer.scenarios.standard.AgentFactory#getAgentStructure()
	 */
	public Agent getAgentStructure() {
		 if (topLevelAgent==null) {
			 topLevelAgent = new DefaultAgent("Top-level unit");
			 Agent helicopterGroup = new DefaultAgent(topLevelAgent, "Helicopter Group");
			 Helicopter heli1 = new Helicopter(helicopterGroup, "Helicopter 1");
			 heli1.setTimeLineColor(Color.BLUE);
			 
			 Helicopter heli2 = new Helicopter(helicopterGroup, "Helicopter 2");
			 heli2.setTimeLineColor(Color.CYAN);
			 
			 Agent ambulanceGroup = new DefaultAgent(topLevelAgent, "Ambulance Group");
			 
			 Ambulance ambulance1 = new Ambulance(ambulanceGroup, "Ambulance 1");
			 ambulance1.setTimeLineColor(Color.RED);
			 
			 Ambulance ambulance2 = new Ambulance(ambulanceGroup, "Ambulance 2");
			 ambulance2.setTimeLineColor(Color.ORANGE);
			 
			 Agent policeGroup = new DefaultAgent(topLevelAgent, "Police Group");
			 
			 PoliceUnit police1 = new PoliceUnit(policeGroup, "Armored Car 1");
			 police1.setTimeLineColor(Color.BLACK);
			 
			 PoliceUnit police2 = new PoliceUnit(policeGroup, "Armored Car 2");
			 police2.setTimeLineColor(Color.LIGHT_GRAY);
			
		}
		return topLevelAgent;
	
	}
	
}
